Werk #13692: Checkmk agent: do not support systemd versions prior to 220

Komponente Checks & agents
Titel Checkmk agent: do not support systemd versions prior to 220
Datum 23.02.2022
Checkmk-Editon Checkmk Raw (CRE)
Checkmk-Version 2.2.0i1 2.1.0b1
Level Kleine Änderung
Klasse Bugfix
Kompatibilität Kompatibel - benötigt kein manuelles Eingreifen

The Checkmk agent no longer uses systemd versions prior to 220.

These systemd versions either do not support features the agent may need (e.g. setting of the REMOTE_ADDR environment variable) or they are buggy (e.g. ExecStopPost)

On theses systems, the agent will try to use xinetd.

Zur Liste aller Werks